> For the complete documentation index, see [llms.txt](https://docs.simpleokr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.simpleokr.com/developer-api/api-reference/users.md).

# Users

### The User object

| Attribute   | Type   | Description                                                                              |
| ----------- | ------ | ---------------------------------------------------------------------------------------- |
| id          | string | Unique user identifier                                                                   |
| name        | string | Full name of the user                                                                    |
| email       | string | Email address associated with the user                                                   |
| is\_active  | bool   | Indicator whether the user is active or not. Inactive users cannot sign into Simple OKR. |
| created\_at | string | Time when the user was created. RFC 3339 format.                                         |

Example:

```javascript
{
  "id": "16682617-f25d-4df2-9f51-3c38298996b8",
  "name": "John Doe",
  "email": "email@example.com",
  "is_active": true,
  "created_at": "2018-02-20T12:32:56Z"
}
```

## List users

<mark style="color:blue;">`GET`</mark> `https://api.simpleokr.com/v1/users`

Returns a list of your users.

#### Query Parameters

| Name        | Type   | Description     |
| ----------- | ------ | --------------- |
| page\_token | string | Page identifier |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "next_page_token": null,
  "users": [
    {
      "id": "16682617-f25d-4df2-9f51-3c38298996b8",
      "name": "John Doe",
      "email": "email@example.com",
      "is_active": true,
      "created_at": "2018-02-20T12:32:56Z"
    },
    {...},
    {...}
  ]
}
```

{% endtab %}
{% endtabs %}

## Retrieve user

<mark style="color:blue;">`GET`</mark> `https://api.simpleokr.com/v1/users/:id`

Retrieve details about the existing user. Supply a unique user ID from a user list response.<br>

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | User ID     |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "id": "16682617-f25d-4df2-9f51-3c38298996b8",
  "name": "John Doe",
  "email": "email@example.com",
  "is_active": true,
  "created_at": "2018-02-20T12:32:56Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.simpleokr.com/developer-api/api-reference/users.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
